
.modal_cities {
     display: none; /* Hidden by default */
     position: fixed; /* Stay in place */
     z-index: 10000; /* Sit on top */
     padding-top: 100px; /* Location of the box */
     left: 0;
     top: 0;
     width: 100%; /* Full width */
     height: 100%; /* Full height */
     overflow: auto; /* Enable scroll if needed */
     background-color: rgb(0,0,0); /* Fallback color */
     background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
     
}


.modal-white,
.modal-white-mob{
     display: none; /* Hidden by default */
     position: fixed; /* Stay in place */
     z-index: 10000; /* Sit on top */
     padding-top: 100px; /* Location of the box */
     left: 0;
     top: 0;
     width: 100%; /* Full width */
     height: 100%; /* Full height */
     overflow: auto; /* Enable scroll if needed */
     background-color: rgb(0,0,0); /* Fallback color */
     background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
     
        align-items: center;
        align-items: center;
        justify-content: center;
     padding-top: 0; 
}

/** MODAL FOR CITY SELECTION **/
#cities_zones_v2 {
    
    .hovered {
        visibility: visible;
        opacity: 1;
        display: block  
    }
    
    #search-box-v2{
        color: #4b4b4b;
        background: #fff;
        display: block;
        float: left;
        padding: 15px;
        position: relative;
        text-decoration: none;
        transition-duration: 0.5s;
        width: calc(100% - 30px);
        border-radius: 5px;
    }
    
    #suggesstion-box-v2 {
        max-height: 200px;
        overflow-y: auto;
        position: absolute;
        width: 300px;
        margin-top: 46px!important;
        min-width: 300px;
        z-index: 1000; 
        
        li {
            border-radius: 0px!important;
            padding: 0;
            
            a {
                padding: 15px;
                display: block;
                width: 100%;
                background: #fff;
                
                &:hover {
                    background: #ff9900;
                }
            }
        }  
    }
    
    h2 {
        font-weight: normal;
        margin-top:10px;
        margin-bottom:10px;
    }
    
    .close_report_v2 {
        color: #ff9900;
        float: right;
        font-size: 20px;
        font-weight: normal;
        
        &:hover,
        &:focus {
          color: #fff;
          text-decoration: none;
          cursor: pointer;
        }        
    }
    
    ul {
        list-style: none;
        margin: 0;
        padding-left: 0;
        width: 100%;
        min-width: 100%;
        min-height: 40px;
        margin-bottom: 30px;
        display: block;
        
        li {
            color: #4b4b4b;
            background: #fff;
            display: block;
            float: left;
            padding: 15px;
            position: relative;
            text-decoration: none;
            transition-duration: 0.5s;
            width: calc(100% - 30px);
            border-radius: 5px;
            
            i {
                float: right;
                color: #ff9900;
                font-size: 15px;
            }
            
            a {
                color: #4b4b4b;
            } 
            
            &:hover {
                background: #ff9900;
                cursor: pointer;
    
                a {
                    color: #4b4b4b;
                }
            }
            
            &:focus-within {
                background: #ff9900;
                cursor: pointer;
    
                a {
                    color: #4b4b4b;
                    outline: none;
                }
            }
            
            ul {
                background: orange;
                visibility: hidden;
                opacity: 0;
                min-width: 5rem;
                position: fixed;
                transition: all 0.5s ease;
                margin-top: 1rem;
                left: calc(50% - 150px);
                display: none;
                z-index: 100000;
                width: 300px;
                max-height: 300px;
                overflow-y: auto;
                
                li {
                    clear: both;
                    width: calc(100% - 30px);
                    border-radius: 0px;
                }
                
            }
            
        }
        
        &.city {
            ul {
                li {
                    clear: both;
                    width: 100%;
                    border-radius: 0px;
                    padding: 0px;   
                    
                    a {
                        width: calc(100% - 30px);
                        border-radius: 0px;
                        padding: 15px;
                        display: block;
                    } 
                }
            }
        }
        
        
    }
        
}


/** WHITE MODAL **/
.modal-white {
    
    .modal-content {
        -webkit-box-shadow: 0px 0px 6px 3px rgba(0,0,0,0.35); 
        box-shadow: 0px 0px 6px 3px rgba(0,0,0,0.35);
        margin: 0 auto;
        min-width: 600px;
        max-width: 800px;
        background: #FFFFFF;
        border-radius: 4px;
        
        @media only screen and (max-width: 600px) {
            min-width:90%;
            max-width: 90%;
        }
        
        .modal-header {
            padding: 15px 20px 15px;
            display:flex;
            border-bottom: 1px solid #EFEFEF;
            
            i {
                font-size: 24px;
                color:#000;
                
            }
            
            h2 {
                color: #000;
                font-size: 16px;
                margin: 0;
                margin-left: 5px;
                font-weight: normal;
                position: relative;
                margin-right: 30px;
                
                &.active {
                    &:after {
                        content: '';
                        position:absolute;
                        background-color: #FF9900; 
                        width: 9px;
                        height: 9px;
                        border-radius: 50%;
                        display:block; 
                        top: 0px;
                        right: -7px;
                        -webkit-box-shadow: 0px 3px 6px 1px rgba(0,0,0,0.16); 
                        box-shadow: 0px 3px 6px 1px rgba(0,0,0,0.16);
                    }
                }
            }
            
            #close_filters,
            .close-modal {
                flex-grow: 1;
                text-align: right;
                
                i{
                    color: #ff9900;
                    
                    &:hover {
                        color: #FF4E00;
                    }
                    }
            }
        }
        
        .modal-body {
            padding: 25px;  
            
            h3 {
                margin-bottom: 25px;
                font-size: 16px;
                font-weight: bold;
                color:#707070;
                
                &.success {
                    color: #4c944c;
                    font-weight: normal;
                    /* margin: 0 auto; */
                    text-align: center;
                    margin: 25px 0;
                }
            }  
            
            .box {
                display: flex;
                flex-direction: row;
                flex-wrap: wrap;
                flex-grow: 1;
                p {
                    max-width:25%;
                    width: 25%;
                    margin-bottom: 25px;
                    
                    &.full {
                        max-width: 100%;
                        width: 100%;
                    }
                    
                    &.box-3 {
                        min-width: 30%;
                        width: 33%;
                        margin-right: 3%;
                        max-width: fit-content;
                        
                        &:last-child {
                            margin-right:0;
                        }
                    }
                }
                
                &.multiple {
                    align-items: center;
                    align-content: center;
                    
                    p {
                        margin-left: 15px;
                    
                        &:first-child {
                            margin-left: 0;
                        }
                    }
                    
                    label {
                        margin-bottom: 20px;
                        color: #707070;
                        font-size: 16px;
                        line-height: 23px;
                    }
                }
            }
            
            .availability,
            .services,
            .bordered {
                border-bottom: 1px solid #EFEFEF; 
                margin-bottom: 25px;   
            }    
            
            &.success {
                min-width: 600px;
                min-height: 200px;
                display: flex;
                justify-content: center;
                align-content: center;
                align-items: center;
                background: none;
                border: none;
                color: #4c944c;
                font-size: 22px;
                
                @media only screen and (max-width: 600px) {
                    min-width:90%;
                    max-width: 90%;
                }
            }   
        }
        
        .modal-footer {
            padding: 0 25px 25px 25px;
            
            
            .modal-right {
                width: 100%;
                text-align: right;
                display: flex;
                align-content: flex-start;
                align-items: center;
            }
            
            .clear-container {
                flex-grow: 1;
                text-align: left;
                
                a {
                    font-size: 16px;
                    color:#ff9900;
                    
                    &:hover {
                        color:#FF4E00;
                    }
                }                
            }
            
            .btn-orange {
                background: #ff9900;
                color: #000;
                padding: 18px 50px;
                font-size: 16px;
                border-radius: 4px;
                text-transform: uppercase;
                cursor:pointer;
                
                &:hover {
                    background: #ffa724;
                }
                
                &.small {
                    text-transform: initial;
                    padding: 10px 20px;
                }
            }
        }
    }
}


.modal-white-mob {
    
    .modal-content {
        -webkit-box-shadow: 0px 0px 6px 3px rgba(0,0,0,0.35); 
        box-shadow: 0px 0px 6px 3px rgba(0,0,0,0.35);
        margin: 0 auto;
        min-width:90%;
        max-width: 90%;
        background: #FFFFFF;
        border-radius: 4px;
        
        @media only screen and (max-width: 600px) {
            min-width:90%;
            max-width: 90%;
        }
        
        .modal-header {
            padding: 25px 20px;
            display: block;
            
            i {
                font-size: 24px;
                color:#000;
                
            }
            
            h2 {
                font-size: 24px;
                color: #000000;
                width: 100%;
                margin: 0 auto;
                text-align: center;
                font-weight: normal;
            }
            
            #close_filters,
            .close-modal {
                position: absolute;
                right: 10px;
                top: 10px;
                
                i{
                    color: #ff9900;
                    
                    &:hover {
                        color: #FF4E00;
                    }
                }
            }
        }
        
        .modal-body {
            padding: 10px 25px;
            
            h3 {
                margin-bottom: 25px;
                font-size: 16px;
                font-weight: bold;
                color:#707070;
                
                &.success {
                    color: #4c944c;
                    font-weight: normal;
                    /* margin: 0 auto; */
                    text-align: center;
                    margin: 25px 0;
                }
            }  
            
            .box {
                display: flex;
                flex-direction: row;
                flex-wrap: wrap;
                
                p {
                    max-width:25%;
                    width: 25%;
                    margin-bottom: 25px;
                    
                    
                    &.full {
                        max-width: 100%;
                        width: 100%;
                    }
                    
                }
                
                &.multiple {
                    align-items: center;
                    align-content: center;
                    
                    p {
                        margin-left: 15px;
                    
                        &:first-child {
                            margin-left: 0;
                        }
                    }
                    
                }    
            }
            
            .availability {
                border-bottom: 1px solid #EFEFEF; 
                margin-bottom: 25px;   
            } 
            
            &.success {
                max-width: 90%;
                display: flex;
                justify-content: center;
                align-content: center;
                align-items: center;
                background: none;
                border: none;
                color: #4c944c;
                font-size: 22px;
            }   
        }
        
        .modal-footer {
            margin: 10px 0 0;
            height: 60px;
            display: flex;
            flex-direction: row;
            align-items: center;
            align-content: center;
            border-top: 1px solid #DEDEDE;
            
            a {
                font-size: 16px;
                color: #ff9900;
                flex-grow: 1;
                text-align: center;
                display: flex;
                height: 100%;
                align-items: center;
                align-content: center;
                justify-content: center;
                width: 50%;
                    
                &:first-child {
                    border-right: #DEDEDE 1px solid;
                    width: calc(50% - 1px);
                }
                
                &:hover {
                    color:#FF4E00;
                }
                
                &.red {
                    color: #FF0000;    
                }
            } 
            
            .modal-right {
                width: 100%;
                text-align: right;
                display: flex;
                align-content: flex-start;
                align-items: center;
            }
            
            .clear-container {
                flex-grow: 1;
                text-align: left;
                
                a {
                    font-size: 16px;
                    color:#ff9900;
                    
                    &:hover {
                        color:#FF4E00;
                    }
                }                
            }
            
            .btn-orange {
                background: #ff9900;
                color: #000;
                padding: 18px 50px;
                font-size: 16px;
                border-radius: 4px;
                text-transform: uppercase;
                cursor:pointer;
                
                &:hover {
                    background: #ffa724;
                }
                
                &.small {
                    text-transform: initial;
                    padding: 10px 20px;
                }
            }
        }
    }
}




















/*** FORMS **/

[type="radio"]:checked,
[type="radio"]:not(:checked) {
    position: absolute;
    left: -9999px;
}
[type="radio"]:checked + label
{
    position: relative;
    padding-left: 28px;
    cursor: pointer;
    line-height: 20px;
    display: inline-block;
    color: #000;
    font-size: 16px;
    line-height: 23px;
}


[type="radio"]:not(:checked) + label
{
    position: relative;
    padding-left: 28px;
    cursor: pointer;
    line-height: 20px;
    display: inline-block;
    color: #707070;
    font-size: 16px;
    line-height: 23px;
}
[type="radio"]:checked + label:before,
[type="radio"]:not(:checked) + label:before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 17px;
    height: 17px;
    border: 3px solid #686868;
    border-radius: 100%;
    background: #fff;
}
[type="radio"]:checked + label:after,
[type="radio"]:not(:checked) + label:after {
    content: '';
    width: 11px;
    height: 11px;
    background: #ff9900;
    position: absolute;
    top: 6px;
    left: 6px;
    border-radius: 100%;
    -webkit-transition: all 0.2s ease;
    transition: all 0.2s ease;
}
[type="radio"]:not(:checked) + label:after {
    opacity: 0;
    -webkit-transform: scale(0);
    transform: scale(0);
}
[type="radio"]:checked + label:after {
    opacity: 1;
    -webkit-transform: scale(1);
    transform: scale(1);
}

 // checkboxes
.styled-checkbox {
  position: absolute; // take it out of document flow
  opacity: 0; // hide it

  & + label {
    position: relative;
    cursor: pointer;
    padding: 0;
    color: #707070;
    font-size: 16px;
  }

  // Box.
  & + label:before {
    content: '';
    margin-right: 10px;
    display: inline-block;
    vertical-align: text-top;
    width: 16px;
    height: 16px;
    border: 3px solid #686868;
    border-radius: 3px;
  }

  // Box hover
  //&:hover + label:before {
  //  background: #FF9900;
  //}
  
  // Box focus
  //&:focus + label:before {
  //  //box-shadow: 0 0 0 3px rgba(0, 0, 0, 0.12);
  //}

  // Box checked
  &:checked + label:before {
    background: #FF9900;
    border: 3px solid #FF9900;
  }
  
  // Disabled state label.
  &:disabled + label {
    color: #b8b8b8;
    cursor: auto;
  }

  // Disabled box.
  &:disabled + label:before {
    box-shadow: none;
    background: #ddd;
  }

  &:checked + label {
    color: #000;
  }
  
  // Checkmark. Could be replaced with an image
  &:checked + label:after {
    content: "\f17b";
    position: absolute;
    left: 1px;
    top: 1px;
    font: normal normal normal 15px/1 FontAwesome;
    color: #161616;
    font-size: 21px;
  }
}

.form-group {
    
    &.white {
        
        textarea {
            background: #E6E6E6;
            color: #3E3E3E;
            font-size: 16px;
            border-radius: 4px;
            width: calc(100% - 20px);
            margin: 0;
            height: 100px;
            /* color: #666; */
            /* background-color: #000; */
            border: 0px;
            overflow: hidden;
            padding: 10px;
        }
        
        .form-control {
            font-size: 16px;
            background: #E6E6E6;
            border-radius: 4px;
            width: calc(100% - 20px);
            padding: 10px;
            /* margin: 20px 0; */
            margin-top: 10px;
        }
        
        .input-error {
            color: #f34545;
            font-size: 14px;
            line-height: 25px; 
        }
    }
}
